import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (n, t, i, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, i) : t, o = n.length - 1, l; o >= 0; o--)
    (l = n[o]) && (e = (s ? l(t, i, e) : l(e)) || e);
  return s && e && m(t, i, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--wise", this.class = "c-pieIcon c-pieIcon--wise", this.name = "IconPaymentWise";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--wise"><path fill="#163300" d="M7.877 8.607 3.05 14.274h8.64l.98-2.659H8.961l2.273-2.623v-.07L9.766 6.403h6.611L11.235 20.5h3.498l6.191-17H4.94l2.938 5.107Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  a("icon-payment-wise")
], r);
export {
  r as IconPaymentWise
};
